/*****************************************************************************

		Copyright (c) 

 Project:  CFG_ANAL_WIN
 FileName: EDIT_SYNT_STRUCTURE.PRO
 Purpose: No description
 Written by:  ..
 Comments:
******************************************************************************/

include "cfg_anal_win.inc"
include "cfg_anal_win.con"
include "hlptopic.con"

%BEGIN_WIN  
/**************************************************************************
	Creation and event handling for window: " "
**************************************************************************/

constants

%BEGIN  , CreateParms, 21:24:10-22.12.2007, Code automatically updated!
  win___WinType = w_TopLevel
  win___Flags = [wsf_SizeBorder,wsf_TitleBar,wsf_Maximize,wsf_Minimize,wsf_Close,wsf_ClipSiblings,wsf_ClipChildren,wsf_HScroll]
  win___RCT = rct(100,80,440,240)
  win___Menu = no_menu
  win___Title = " "
  win___Help = idh_contents
%END  , CreateParms

predicates

  win___eh : EHANDLER

clauses

  win___Create(_Parent,Text):-
ifdef use_editor
	Font = font_Create(ff_System,[],10),
	ReadOnly = b_false, Indent = b_true, InitPos = 1,
	edit_Create(win___WinType,win___RCT,win___Title,
		 win___Menu,_Parent,win___Flags,Font,ReadOnly,
		 Indent,Text,InitPos,win___eh),
enddef
	true.

%BEGIN  , e_Create
  win___eh(_Win,e_Create(_),0):-!,
%BEGIN  , InitControls, 21:24:10-22.12.2007, Code automatically updated!
%END  , InitControls
%BEGIN  , ToolbarCreate, 21:24:10-22.12.2007, Code automatically updated!
%END  , ToolbarCreate
	!.
%END  , e_Create

%BEGIN  , e_Menu, Editor default popup menu 
  win___eh(_Win,e_Menu(ID,_CAS),0):-
	ID >= edit_MenuUndo, ID <= edit_MenuFont, 
	!,fail.
%END  , e_Menu, Editor default popup menu
%MARK  , new events

%BEGIN  , e_Size
  win___eh(_Win,e_Size(_Width,_Height),0):-!,
ifdef use_tbar
	toolbar_Resize(_Win),
enddef
	!.
%END  , e_Size

%BEGIN  , e_Menu, Parent window 
  win___eh(Win,e_Menu(ID,CAS),0):-!,
	PARENT = win_GetParent(Win),
	win_SendEvent(PARENT,e_Menu(ID,CAS)),
	!.
%END  , e_Menu, Parent window

%END_WIN  

